> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update invite code

> Update Discord invite



## OpenAPI

````yaml post /market/update-invite
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /market/update-invite:
    post:
      description: Update Discord invite
      operationId: updateInviteMarket
      requestBody:
        description: >-
          Details for changing a Discord invite after placing member marketplace
          order
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ref
                - invite
              properties:
                ref:
                  type: string
                  description: >-
                    The Order reference you would like to change Discord invite
                    for. NOT the same as Order ID, see the response of Buy
                    Members for the "reference" field
                  example: c444b1c9fa354ffcbf3b6c99300fc0d9
                invite:
                  type: string
                  description: The Discord invite code you want the order changed to
                  example: dyno
      responses:
        '200':
          $ref: '#/components/responses/marketInviteUpdated'
components:
  responses:
    marketInviteUpdated:
      description: >-
        This only succeeds if you haven't started the pull yet. Don't include
        the "discord.gg" portion of the invite link. Only the end invite code.
        Example: "dyno". Also remember the reference is NOT the same as Order
        ID, see the response of Buy Members for the "reference" field
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              message:
                type: string
                example: Updated invite code!
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````